Option Strict Off
Option Explicit On
Public Class ThisDrawing

    Dim myCls As AppClass

    <Autodesk.AutoCAD.Runtime.CommandMethod("TESTINIT")> _
    Sub initAppClass()
        myCls = New AppClass
    End Sub

    'Definition of ThisDrawing to be used in ThisDrawing module
    Private WithEvents ThisDrawing As Autodesk.AutoCAD.Interop.AcadDocument = Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication.ActiveDocument
    'VBA takes care of document switching for you. In .NET, we have to take care of that ourselves.
    Private WithEvents docs As Autodesk.AutoCAD.ApplicationServices.DocumentCollection = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager



    'UPGRADE_NOTE: ThisDrawing was upgraded to ThisDrawing_Renamed. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="A9E4979A-37FA-4718-9994-97DD76ED70A7"'
    'UPGRADE_NOTE: Object was upgraded to Object_Renamed. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="A9E4979A-37FA-4718-9994-97DD76ED70A7"'
    Private Sub AcadDocument_ObjectAdded(ByVal Object_Renamed As Object) Handles ThisDrawing.ObjectAdded
        'Dim ThisDrawing_Renamed As Object
        'UPGRADE_WARNING: Couldn't resolve default property of object ThisDrawing.Utility. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
        ThisDrawing.Utility.Prompt("ThisDrawing ObjectAdded" & vbCrLf)
    End Sub

    <Autodesk.AutoCAD.Runtime.CommandMethod("TESTEND")> _
    Sub killAppClass()
        'UPGRADE_NOTE: Object myCls may not be destroyed until it is garbage collected. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6E35BFF6-CD74-4B09-9689-3E1A43DF8969"'
        myCls = Nothing
    End Sub

    Private Sub docs_DocumentActivated(ByVal sender As Object, ByVal e As Autodesk.AutoCAD.ApplicationServices.DocumentCollectionEventArgs) Handles docs.DocumentActivated
        ThisDrawing = e.Document.AcadDocument
    End Sub
End Class